package com.perforce.hws.swagger.models;

import com.google.common.base.CaseFormat;
import com.google.common.base.Converter;

/**
 * Created by tristan on 4/20/16.
 */
public interface LinkHelpers {

    default String javaModelRef(String simpleName) {
        Converter<String, String> converter =
                CaseFormat.UPPER_CAMEL.converterTo(CaseFormat.LOWER_HYPHEN);
        return "<<java-model-" +
                converter.convert(simpleName) +
                ">>";
    }

    default String javascriptModelRef(String simpleName) {
        Converter<String, String> converter =
                CaseFormat.UPPER_CAMEL.converterTo(CaseFormat.LOWER_HYPHEN);
        return "<<javascript-model-" +
                converter.convert(simpleName) +
                ">>";
    }

    default String rubyModelRef(String simpleName) {
        Converter<String, String> converter =
                CaseFormat.UPPER_CAMEL.converterTo(CaseFormat.LOWER_HYPHEN);
        return "<<ruby-model-" +
                converter.convert(simpleName) +
                ">>";
    }

    default String phpModelRef(String simpleName) {
        Converter<String, String> converter =
                CaseFormat.UPPER_CAMEL.converterTo(CaseFormat.LOWER_HYPHEN);
        return "<<php-model-" +
                converter.convert(simpleName) +
                ">>";
    }

    default String pythonModelRef(String simpleName) {
        Converter<String, String> converter =
                CaseFormat.UPPER_CAMEL.converterTo(CaseFormat.LOWER_HYPHEN);
        return "<<python-model-" +
                converter.convert(simpleName) +
                ">>";
    }

}
